CSVUtils
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.utils
Class CSVUtils

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.utils.CSVUtils

    public class CSVUtils

extends java.lang.Object

Constructor Summary
`CSVUtils()`

Method Summary
`static java.lang.Long` | `countCSVRows(java.lang.String path, char delimiter, boolean hasHeaders)`
`static java.util.ArrayList<java.lang.Integer>` | `CSVTOIntegerList(java.lang.String theString)`
`static java.util.ArrayList<java.lang.String>` | `CSVToStringList(java.lang.String theString)`
`static java.lang.String` | `listToCSV(java.util.List values)`
`static java.util.List<java.util.List<Field>>` | `loadCSV(java.lang.String path, char delimiter)`
`static long` | `resultSetToCSVFile(java.sql.ResultSet rs, java.lang.String outFile, boolean writeHeaders)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVUtils

    public CSVUtils()

Method Detail

### CSVToStringList

    public static java.util.ArrayList<java.lang.String> CSVToStringList(java.lang.String theString)

### CSVTOIntegerList

    public static java.util.ArrayList<java.lang.Integer> CSVTOIntegerList(java.lang.String theString)

### listToCSV

    public static java.lang.String listToCSV(java.util.List values)

### resultSetToCSVFile

    public static long resultSetToCSVFile(java.sql.ResultSet rs,
                                          java.lang.String outFile,
                                          boolean writeHeaders)
                                   throws java.io.IOException,
                                          java.sql.SQLException

  Throws:
    `java.io.IOException`
    `java.sql.SQLException`

### loadCSV

    public static java.util.List<java.util.List<Field>> loadCSV(java.lang.String path,
                                                                char delimiter)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### countCSVRows

    public static java.lang.Long countCSVRows(java.lang.String path,
                                              char delimiter,
                                              boolean hasHeaders)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD